version: '2'

services:
  crud-web:
    image: golang
    container_name: "crud-web"
    ports:
      - "18080:8080"
    working_dir: "/go/src/gitlab.com/tsuchina.ga/practice/golang-mongodb-crud"
    volumes:
      - "./:/go/src/gitlab.com/tsuchina.ga/practice/golang-mongodb-crud"
    links:
      - crud-db
    environment:
      - TZ=Asia/Tokyo
    tty: true
    command: go run main.go
  crud-db:
    image: mongo
    container_name: "crud-db"
    working_dir: "/home/crud-db/mongo"
    volumes:
      - "./mongo:/home/crud-db/mongo"
      - "./mongo:/docker-entrypoint-initdb.d"
    environment:
      - TZ=Asia/Tokyo
      - MONGO_INITDB_ROOT_USERNAME=root
      - MONGO_INITDB_ROOT_PASSWORD=""
      - MONGO_INITDB_DATABASE=crud
    tty: true
